org.apache.fop.render.ps

## Class FOPProcSet

- java.lang.Object
- - org.apache.xmlgraphics.ps.PSResource
  - - org.apache.xmlgraphics.ps.PSProcSet
    - - org.apache.fop.render.ps.FOPProcSet

- All Implemented Interfaces:
    Comparable

      public final class FOPProcSet
      extends org.apache.xmlgraphics.ps.PSProcSet

  Proc Set with FOP-specific procs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FOPProcSet` | `INSTANCE` Singleton instance of the FOP procset

    - ### Fields inherited from class org.apache.xmlgraphics.ps.PSResource

      `TYPE_CIDFONT, TYPE_CMAP, TYPE_ENCODING, TYPE_FILE, TYPE_FONT, TYPE_FORM, TYPE_PATTERN, TYPE_PROCSET`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeTo(org.apache.xmlgraphics.ps.PSGenerator gen)` Writes the procset to the PostScript file.

    - ### Methods inherited from class org.apache.xmlgraphics.ps.PSProcSet

      `getResourceSpecification, getRevision, getVersion`

    - ### Methods inherited from class org.apache.xmlgraphics.ps.PSResource

      `compareTo, equals, getName, getType, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final FOPProcSet INSTANCE

      Singleton instance of the FOP procset

  - ### Method Detail

    - #### writeTo

          public void writeTo(org.apache.xmlgraphics.ps.PSGenerator gen)
                       throws IOException

      Writes the procset to the PostScript file.
      Parameters:
        `gen` - the PS generator
      Throws:
        `IOException` - if an I/O error occurs

Copyright © 2023 Apache Software Foundation. All rights reserved.